Skip to content

deployment_cloud_sql_database_create

Create a logical database (with its own role) on the managed Postgres instance.

Tool

deployment_cloud_sql_database_create

Create a logical database (with its own role) on the managed Postgres instance.

Create a logical database (with its own role) on the managed Postgres instance.

Behavior

HTTP
POST /deployment/cloud-sql/databases

Arguments

Name
Type
Required
Description
label
string
—
No description in the catalog.
instanceId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
dbName
string
•
status
string
•
roleName
string
•
createdAt
string
•
productId
string
•
updatedAt
string
•
instanceId
string
•
lastErrorMessage
string
•

Try it

Create a logical database (with its own role) on the managed Postgres instance.

When to use

Create a logical database (with its own role) on the managed Postgres instance.

Example

Ask your agent something like this:

Create a logical database (with its own role) on the managed Postgres instance.

The agent will invoke deployment_cloud_sql_database_create with these arguments:

{
  "instanceId": "<instanceId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select